Download Old Versions of Chronicle

The latest version of Chronicle is Chronicle Pro 9.0. Chronicle 9 requires macOS 10.11 or higher. If you have an older version of macOS, or have not purchased Chronicle 8 or Chronicle Pro, you may wish to download an older version. Links to older versions are below.

 

× Shopping Cart

Your cart is empty.